> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Transaction Event

> A `POST` to the `/transactions/{transactionId}/event-trigger` endpoint allows your application to trigger permitted events for a Transaction.



## OpenAPI

````yaml post /v3/transactions/{transaction}/event-trigger
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/transactions/{transaction}/event-trigger:
    post:
      tags:
        - Transaction
      summary: Trigger Transaction Event
      description: >-
        A `POST` to the `/transactions/{transactionId}/event-trigger` endpoint
        allows your application to trigger permitted events for a Transaction.
      operationId: transaction.eventTrigger
      parameters:
        - name: transaction
          in: path
          required: true
          description: The transaction ID
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TriggerTransactionEvent'
      responses:
        '204':
          description: No content
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    TriggerTransactionEvent:
      type: object
      properties:
        event:
          type: string
          enum:
            - transaction.sync
            - transaction.recalculate
      required:
        - event
      title: TriggerTransactionEvent
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````